/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.client.commandline.commands;

import java.io.File;
import java.util.List;

import org.vcs.bazaar.client.commandline.internal.CommandWithProgressListener;
import org.vcs.bazaar.client.commandline.syntax.IBranchOptions;
import org.vcs.bazaar.client.core.BranchLocation;
import org.vcs.bazaar.client.utils.StringUtil;

/**
 * @author Guillermo Gonzalez
 *
 * TODO: Test me
 */
public class Branch extends CommandWithProgressListener implements IBranchOptions {

	private final BranchLocation remoteBranch;

	private final File localBranch;

	/**
	 * @param fromLocation
	 * @param toLocation
	 */
	public Branch(BranchLocation branchToClone, File localBranch) {
		super();
		this.remoteBranch = branchToClone;
		this.localBranch = localBranch;
		this.checkExitValue = false;
	}

	@Override
	public String getCommand() {
		return COMMAND;
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see org.vcs.bazaar.client.core.commands.Command#getArguments()
	 */
	@Override
	protected List<String> getArguments() {
		String fromLocation = this.remoteBranch.toString();
		String toLocation = StringUtil.getAbsoluteURI(this.localBranch).toString();
		return getArguments(fromLocation, toLocation);
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see org.vcs.bazaar.client.core.model.ICommand#getEstimatedWork()
	 */
	@Override
	public int getEstimatedWork() {
		// TODO: search info about this value, and how can be defined
		return 100;
	}

}
